﻿$ErrorActionPreference = 'Stop';

$packageName    = 'unity-mac'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://netstorage.unity3d.com/unity/dcb72c2e9334/TargetSupportInstaller/UnitySetup-Mac-Mono-Support-for-Editor-2019.2.15f1.exe'
$checksum64     = '1347fd6a5cab6d116fadf8fc3fa5380df35b2226f74a853a47cc54aa896cfae7'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
